Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.dao.salt
Class SystemWideSaltSource

    java.lang.Object
      org.acegisecurity.providers.dao.salt.SystemWideSaltSource

All Implemented Interfaces:
  SaltSource, InitializingBean

    public class SystemWideSaltSource

extends Object
implements SaltSource, InitializingBean

Uses a static system-wide `String` as the salt.

Does not supply a different salt for each `User`. This means users sharing the same password will still have the same digested password. Of benefit is the digested passwords will at least be more protected than if stored without any salt.

Version:
  $Id: SystemWideSaltSource.java,v 1.6 2005/11/29 13:10:12 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`SystemWideSaltSource()`

Method Summary
`void` | `afterPropertiesSet()`
`Object` | `getSalt(UserDetails user)` Returns the salt to use for the indicated user.
`String` | `getSystemWideSalt()`
`void` | `setSystemWideSalt(String systemWideSalt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemWideSaltSource

    public SystemWideSaltSource()

Method Detail

### getSalt

    public Object getSalt(UserDetails user)

  Description copied from interface: `SaltSource`
  Returns the salt to use for the indicated user.

  Specified by:
    `getSalt` in interface `SaltSource`
  Parameters:
    `user` - from the `AuthenticationDao`
  Returns:
    the salt to use for this `UserDetails`

### setSystemWideSalt

    public void setSystemWideSalt(String systemWideSalt)

### getSystemWideSalt

    public String getSystemWideSalt()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.